/*
 ============================================================================
 Name		: DialogExamAppView.cpp
 Author	  : Hou maoqing
 Copyright   : Copyright (c) Hou maoqing 2008
 Description : Application view implementation
 ============================================================================
 */

// INCLUDE FILES
#include <coemain.h>
#include "DialogExamAppView.h"

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// CDialogExamAppView::NewL()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CDialogExamAppView* CDialogExamAppView::NewL(const TRect& aRect)
	{
	CDialogExamAppView* self = CDialogExamAppView::NewLC(aRect);
	CleanupStack::Pop(self);
	return self;
	}

// -----------------------------------------------------------------------------
// CDialogExamAppView::NewLC()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CDialogExamAppView* CDialogExamAppView::NewLC(const TRect& aRect)
	{
	CDialogExamAppView* self = new ( ELeave ) CDialogExamAppView;
	CleanupStack::PushL(self);
	self->ConstructL(aRect);
	return self;
	}

// -----------------------------------------------------------------------------
// CDialogExamAppView::ConstructL()
// Symbian 2nd phase constructor can leave.
// -----------------------------------------------------------------------------
//
void CDialogExamAppView::ConstructL(const TRect& aRect)
	{
	// Create a window for this application view
	CreateWindowL();

	// Set the windows size
	SetRect(aRect);

	// Activate the window, which makes it ready to be drawn
	ActivateL();
	}

// -----------------------------------------------------------------------------
// CDialogExamAppView::CDialogExamAppView()
// C++ default constructor can NOT contain any code, that might leave.
// -----------------------------------------------------------------------------
//
CDialogExamAppView::CDialogExamAppView()
	{
	// No implementation required
	}

// -----------------------------------------------------------------------------
// CDialogExamAppView::~CDialogExamAppView()
// Destructor.
// -----------------------------------------------------------------------------
//
CDialogExamAppView::~CDialogExamAppView()
	{
	// No implementation required
	}

// -----------------------------------------------------------------------------
// CDialogExamAppView::Draw()
// Draws the display.
// -----------------------------------------------------------------------------
//
void CDialogExamAppView::Draw(const TRect& /*aRect*/) const
	{
	// Get the standard graphics context
	CWindowGc& gc = SystemGc();

	// Gets the control's extent
	TRect drawRect(Rect());

	// Clears the screen
	gc.Clear(drawRect);

	}

// -----------------------------------------------------------------------------
// CDialogExamAppView::SizeChanged()
// Called by framework when the view size is changed.
// -----------------------------------------------------------------------------
//
void CDialogExamAppView::SizeChanged()
	{
	DrawNow();
	}
// End of File
